Subject: RE: on NAT-PT

From: <[email-masked]>
Date: Tue, 21 Jan 2003 10:21:24 +0200

Hi, Margaret & others!

Just refering to 3GPP 23.221 specification that states about the supported IP version in the IMS:

3GPP TS 23.221 V5.7.0 (2002-12), subsection 5.1.:

"- IM CN subsystem elements (UE to CSCF and the other elements e.g. MRF):
    - The architecture shall make optimum use of IPv6.
    - The IM CN subsystem shall exclusively support IPv6.
    - The UE shall exclusively support IPv6 for the connection to services provided by the IM CN subsystem."

This tells us that IMS is IPv6-only (also UE is considered to be a part of the IMS when using IMS services). Some further comments:
- IMS is an extensive concept; when saying that IMS is "exclusively IPv6", it is a valid statement for all elements that are connected to the IMS / considered to be a part of the IMS. Both signalling and user data traffic 
belong to the IMS. E.g. the connections between two IMS UEs belong to the IMS. Connections can only be IPv6, not IPv4 and not IPv4 & IPv6 simultaneously. 
- The user has to activate an IPv6 PDP context to access IMS and registrate to the P-CSCF (i.e. registrate to the IMS SIP server) using an IPv6 address.
- E.g. tunneling traffic (IPv4 in IPv6) through the IMS and IPv4 connection from the IMS UE to the IPv4 correspondent node is not a feasible solution for IMS scenario 1.

However, the (3GPP Release 5) UE can use IPv4 (type of PDP contexts) to access other services than IMS, e.g. web browsing, MMS, e-mail... 

The latest version of the 23.221 specification can be found here:
ftp://ftp.3gpp.org/specs/latest/Rel-5/23_series/23221-570.zip

Best Regards,
		-Juha W.-

-----Original Message-----
From: ext Margaret Wasserman [mailto:[email-masked]]
Sent: 20 January, 2003 18:00
To: BELOEIL Luc FTRD/DMI/CAE
Cc: Erik Nordmark; [email-masked]; [email-masked]
Subject: RE: on NAT-PT

At 04:51 PM 1/20/2003 +0100, BELOEIL Luc FTRD/DMI/CAE wrote:
>Hi all,
>
> >
> > The proxy alternative may make sense for the 3GPP IMS case, as this
> > is a special case where only certain services are required to be
> > IPv6-only.  IMS-capable handsets may still be capable of opening
> > IPv4 PDP contexts for communication with non-IMS IPv4 nodes and
> > services.
> >
>I've proposed that solution for months but it seems that current 3GPP
>specifications do not allow such a solution.

My understanding is that the IMS subsystem is specified to be IPv6-only,
which will require that some services are only available on IPv6 (i.e.
the 3GPP version of SIP).  This may also result in some parts of the
3GPP infrastructure (routers and equivalent) being IPv6-only.

While a handset can be IMS-capable, I don't think that an IMS-capable
handset is required to be IPv6-only.  An IMS handset could still be
capable of establishing IPv4 PDP contexts, and using IPv4 to access
the Internet and/or non-IMS 3GPP networks and services...

Could someone correct me if I'm wrong, and please cite relevant parts
of the 3GPP standards?

Margaret